Package Details: csstidy 1.4-4

Git Clone URL: https://aur.archlinux.org/csstidy.git (read-only)
Package Base: csstidy
Description: A program that optimises, formats and fixes CSS code
Upstream URL: http://sourceforge.net/projects/csstidy/
Licenses: GPL
Conflicts: csstidy-cpp-git
Submitter: itsme
Maintainer: itsme
Last Packager: itsme
Votes: 5
Popularity: 0.000047
First Submitted: 2015-10-25 08:46
Last Updated: 2016-02-11 09:11

Latest Comments

itsme commented on 2016-07-05 23:15

cool story, bro

JohnRobson commented on 2016-07-05 23:08

$ scons --vesion
scons: *** SCons version 2.5.0 does not run under Python version 3.5.2.
Python 3 is not yet supported.

itsme commented on 2016-07-05 19:16

SCons 2.5.0?
2.4.1 in the official repository: https://www.archlinux.org/packages/extra/any/scons/
It's your local problems.

JohnRobson commented on 2016-07-05 18:06

I used a "virtualenv" to build this package and worked.

virtualenv --python=/usr/bin/python2

JohnRobson commented on 2016-07-05 17:23

==> Starting build()...
patching file csstidy/misc.cpp
scons: *** SCons version 2.5.0 does not run under Python version 3.5.2.
Python 3 is not yet supported.
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build csstidy.

itsme commented on 2016-02-11 09:16

'armv7h' added, but you should try this fork with some improvements: https://aur.archlinux.org/packages/csstidy-cpp-git/

sekret commented on 2016-02-05 20:03

Could you please add 'armv7h' to the arch line? It builds just fine on my Raspberry Pi 2 :)

Most probably it builds just fine for armv6h too (e.g. Raspberry Pi 1), but I cannot confirm...